Package org.zkoss.zkmax.au.out

## Class AuToast

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zkmax.au.out.AuToast

-     public class AuToast
      extends AuResponse

  The au object for toast.
  Since:
    9.0.0
  Author:
    rudyhuang

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuToast​(java.lang.String msg, java.lang.String type, java.lang.String position, int duration, boolean closable, int animationSpeed)` | Shows toast at predefined position.

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuToast

          public AuToast​(java.lang.String msg,
                         java.lang.String type,
                         java.lang.String position,
                         int duration,
                         boolean closable,
                         int animationSpeed)

      Shows toast at predefined position.
      Parameters:
        `msg` - the message to show (HTML is accepted)
        `type` - available types are "info", "warning", "error". default "info".
        `position` - predefined positions.
        `duration` - the duration of notification in millisecond. If zero or negative the notification does not dismiss until user left-clicks outside of the notification box.
        `closable` - whether to close notification manually or not. If true there will be a close button on notification message and won't close until user click the button or duration time up, default false.
        `animationSpeed` - animation speed in milliseconds, default 500ms.